Bug 968404

Summary: Fix /usr/bin/alembic on el6
Product: [Fedora] Fedora EPEL Reporter: Pierre-YvesChibon <pingou>
Component: python-alembicAssignee: Ralph Bean <rbean>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: rbean
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-alembic-0.4.2-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-14 22:26:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Patch to fix /usr/bin/alembic in EL6 none

Description Pierre-YvesChibon 2013-05-29 16:38:02 UTC
Created attachment 754471 [details]
Patch to fix /usr/bin/alembic in EL6

Description of problem:
The current version of alembic in epel6 requires SQLAchemy>=6 while the default version provided is 0.5.5

This means that the script /usr/bin/alembic crashes everytime it's called.

The attached patch insert a sed command to change the line 3 of /usr/bin/alembic from:
> __requires__ = 'alembic==0.4.2'
to
> __requires__ = ['alembic==0.4.2', 'SQLAlchemy >= 0.7']


Version-Release number of selected component (if applicable):
python-alembic-0.4.2-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. run alembic -h on el6
2.
3.

Actual results:
Traceback (most recent call last):
[...]
alembic.util.CommandError: SQLAlchemy 0.6 or greater is required. Version 0.7 or above required for full featureset.

Comment 1 Fedora Update System 2013-05-29 19:09:34 UTC
python-alembic-0.4.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-alembic-0.4.2-2.el6

Comment 2 Fedora Update System 2013-05-30 00:02:03 UTC
Package python-alembic-0.4.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-alembic-0.4.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-6017/python-alembic-0.4.2-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-06-14 22:26:54 UTC
python-alembic-0.4.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.